## Description of change

_Please describe your changes here._

### Associated issue(s)

_Reference issues pertinent to this PR here If there are no issues referenced,
replace this line and the following task completion line._

- [ ] The acceptance criteria for all associated issues have been completed, tested, and validated.

### PR check-list

> **:white_check_mark: Please review and check the appropriate items.**

#### 1. **Code standards compliance**
[![JavaScript Style Guide](https://cdn.rawgit.com/feross/standard/master/badge.svg)](https://github.com/feross/standard)

- [ ] `ESLint` passes.

#### 2. **Code quality**. [![Quality Gate][sonar-gate-img]][sonar-gate-url]

- [ ] The quality gateways pass with an "A" grade.

| Measure             | Scores                                                             |
|:--------------------|:-------------------------------------------------------------------|
| **`Complexity`**      | [![Complexity][sonar-complexity-img]][sonar-complexity-url]<br>[![Cognitive complexity][sonar-cognitive-img]][sonar-cognitive-url] |
| **`Duplications`**    | [![Duplications][sonar-duplications-img]][sonar-duplications-url]  |
| **`Issues`**          | [![Issues][sonar-issues-img]][sonar-issues-url]                    |
| **`Maintainability`** | [![Code smells][sonar-code-smells-img]][sonar-code-smells-url]<br>[![Maintainability][sonar-maintainability-img]][sonar-maintainability-url]<br>[![Technical debt][sonar-tech-debt-img]][sonar-tech-debt-url] |
| **`Reliability`**     | [![Reliability][sonar-reliability-img]][sonar-reliability-url]     |
| **`Security`**        | [![Security][sonar-security-img]][sonar-security-url]              |

#### 3. **Test coverage** [![Coverage Status][codecov-image]][codecov-url]

- [ ] The source code is 100% covered with passing specs.

> **:information_source: These tasks are not required to open a PR, and may be addresses while the PR is open.**

[codecov-image]: https://codecov.io/gh/<%= scmAccount %>/<%= projectName %>/branch/master/graph/badge.svg
[codecov-url]: https://codecov.io/gh/<%= scmAccount %>/<%= projectName %>
[coveralls-img]: https://coveralls.io/repos/github/<%= scmAccount %>/<%= projectName %>/badge.svg
[coveralls-url]: https://coveralls.io/github/<%= scmAccount %>/<%= projectName %>
[sonar-code-smells-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=code_smells
[sonar-code-smells-url]: https://sonarcloud.io/component_measures/metric/code_smells/list?id=<%= scmAccount %>-<%= projectName %>
[sonar-cognitive-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=cognitive_complexity
[sonar-cognitive-url]: https://sonarcloud.io/component_measures/metric/cognitive_complexity/list?id=<%= scmAccount %>-<%= projectName %>
[sonar-complexity-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=function_complexity
[sonar-complexity-url]: https://sonarcloud.io/component_measures/domain/Complexity?id=<%= scmAccount %>-<%= projectName %>
[sonar-coverage-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=coverage
[sonar-coverage-url]: https://sonarcloud.io/component_measures/domain/Coverage?id=<%= scmAccount %>-<%= projectName %>
[sonar-duplications-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=duplicated_line_density
[sonar-duplications-url]: https://sonarcloud.io/component_measures/domain/Duplications?id=<%= scmAccount %>-<%= projectName %>
[sonar-gate-img]: http://sonarcloud.io/api/badges/gate?key=<%= scmAccount %>-<%= projectName %>
[sonar-gate-url]: http://sonarcloud.io/dashboard/index/<%= scmAccount %>-<%= projectName %>
[sonar-issues-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=blocker_violations
[sonar-issues-url]: https://sonarcloud.io/component_measures/domain/Issues?id=<%= scmAccount %>-<%= projectName %>
[sonar-maintainability-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=new_maintainability_rating
[sonar-maintainability-url]: https://sonarcloud.io/component_measures/domain/Maintainability?id=<%= scmAccount %>-<%= projectName %>
[sonar-reliability-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=new_reliability_rating
[sonar-reliability-url]: https://sonarcloud.io/component_measures/domain/Reliability?id=<%= scmAccount %>-<%= projectName %>
[sonar-security-img]: http://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=vulnerabilities
[sonar-security-url]: https://sonarcloud.io/component_measures/domain/Security?id=<%= scmAccount %>-<%= projectName %>
[sonar-tech-debt-img]:  https://sonarcloud.io/api/badges/measure?key=<%= scmAccount %>-<%= projectName %>&metric=sqale_debt_ratio
[sonar-tech-debt-url]: https://sonarcloud.io/component_measures/metric/sqale_index/list?id=<%= scmAccount %>-<%= projectName %>
