# OneAPI Terms of Service

## Table of Contents
<!-- TOC depthFrom:2 depthTo:7 withLinks:1 updateOnSave:1 orderedList:1 -->

1. [Table of Contents](#table-of-contents)
2. [Terms of Service](#terms-of-service)
3. [Ownership](#ownership)
4. [Trademarks](#trademarks)
5. [Registration](#registration)
6. [Limited License](#limited-license)
7. [Use Restrictions](#use-restrictions)
8. [SMS APIs](#sms-apis)
9. [Wireless Network Services SDK](#wireless-network-services-sdk)
	1. [Installation and Use](#installation-and-use)
	2. [Restrictions](#restrictions)
	3. [Distributable Code](#distributable-code)
		1. [Right to Use and Distribute.](#right-to-use-and-distribute)
			1. [Sample Code](#sample-code)
			2. [Redistribution](#redistribution)
		2. [Distribution Requirements](#distribution-requirements)
		3. [Distribution Restrictions](#distribution-restrictions)
		4. [Internet-Based Services](#internet-based-services)
10. [Terms Applicable to Use of the Verizon Cloud Tools and Verizon Cloud Developer Accounts](#terms-applicable-to-use-of-the-verizon-cloud-tools-and-verizon-cloud-developer-accounts)
11. [Web Links](#web-links)
12. [OneAPI Site Forums](#oneapi-site-forums)
13. [Subject to Change](#subject-to-change)
14. [Limitation of Liability](#limitation-of-liability)
15. [Disclaimer of Warranties](#disclaimer-of-warranties)
16. [Indemnification](#indemnification)
17. [Compliance](#compliance)
18. [Confidentiality](#confidentiality)
19. [Publicity](#publicity)
20. [Conflict with Other Agreements](#conflict-with-other-agreements)
21. [Term and Termination](#term-and-termination)
22. [Effect of Termination](#effect-of-termination)
23. [Governing Law and Jurisdiction](#governing-law-and-jurisdiction)
24. [International Use](#international-use)
25. [U.S. Export Controls and Economic Sanctions Laws and Regulations](#us-export-controls-and-economic-sanctions-laws-and-regulations)
26. [Miscellaneous](#miscellaneous)

<!-- /TOC -->

## Terms of Service
When you or any other person, employee or representative authorized by you (collectively referred to as "You" or "Your") use the Verizon OneAPI℠ website and any of the content, products or services, which include, without limitation, the APIs, SDKs and related code and documentation made available on the OneAPI website, within or linked to the Verizon OneAPI website (collectively, the "OneAPI Site"), You accept these terms and conditions (this “Site Use Agreement”). Do not use the OneAPI Site if You do not agree to this Site Use Agreement. If You are entering into this Site Use Agreement on behalf of a company or other legal entity, You represent and warrant that You have the authority to bind such entity to this Agreement. All references to use of the OneAPI Site include use of any or all part(s) of the OneAPI Site.

## Ownership

As between You, Verizon, and its third party licensors and suppliers, Verizon or such third party licensors and suppliers are the sole owners of the OneAPI Site, including, without limitation, all copyrights, trademarks, service marks, patent, trade secret, and other intellectual property rights in the OneAPI Site, and any modifications, corrections or enhancements thereto. Verizon grants no rights to You hereunder other than as expressly set forth in this Site Use Agreement.

You retain ownership of

i. any data which is produced by your applications, devices and solutions ("Your Data") or

ii. any source code that You create using the OneAPI Site ("Your Content") except to the extent that Your Content embodies or incorporates Verizon Confidential Information.

Notwithstanding the foregoing, Verizon may collect and use Your Data, Your Content and other information You provide in accordance with the Verizon Privacy Policy, which is available at www.verizonwireless.com and incorporated herein by reference. You represent and warrant that You have obtained all necessary rights and consents in accordance with this Site Use Agreement, all applicable laws, or as otherwise required to permit Verizon to access and use Your Data, Your Content and any other information You provide in connection with the OneAPI Site.

Should You provide Verizon with information, including, but not limited to, feedback, data, answers, questions, comments, suggestions, improvements, observations, evaluation information plans, ideas, or the like, relating to the OneAPI Site (collectively "Feedback"), either orally or in writing, Verizon shall be free to use any such Feedback for any purpose including but not limited to modification and improvement of the OneAPI Site without compensation and Verizon shall own all the intellectual property rights relating to such modifications and improvements. To the extent You provide any Feedback, You grant Verizon a royalty-free, worldwide, transferable, sublicenseable, irrevocable, perpetual license to use or incorporate all intellectual property rights in such Feedback to Verizon and agree not to assert any related rights against Verizon.

## Trademarks

The Verizon and the OneAPI names, trade names, trademarks and logos, as well as all related product and service names, design marks and slogans, are the property of Verizon, and except as expressly permitted below, may not be used by You absent prior written consent of Verizon.

## Registration

In order to use the features of the OneAPI Site, You will be asked to create a username and password (an "Account") and provide certain registration information like your name, email address and company. You may not register for, access or use the OneAPI Site if (i) You are under the age of 13, (ii) You are a person barred from accessing the OneAPI Site under the laws of the United States or other countries, including the country in which You reside or from which You access the OneAPI Site or (iii) You are a government entity.

Verizon may accept or reject registrations at its sole discretion. After registering, You may be provided keys, secrets or tokens that enable Your applications, devices or solutions to call APIs and use other tools that are part of the OneAPI Site (“Access Credentials”). You are responsible for keeping Your password and Access Credentials secure and confidential, and for all activity that occurs through Your Account. You agree not to falsify or alter any Access Credentials assigned to your application, device or solution, or to obscure or alter the source, location or any other identifying information of API calls coming from Your application, device or solution. You will immediately notify Verizon at iotdeveloper@verizon.com if you become aware of suspected or actual misuse or compromise of Your Account, Access Credentials, or if Your Account information is lost or stolen. Verizon will not be liable for any loss or damage arising from Your failure to comply with this section.

Verizon may (i) contact You to confirm some or all of Your registration information, (ii) to send You important information and notices regarding the OneAPI Site and your Account by email, messaging or other means based on the information You provide to Verizon or (iii) use information about Your use of the OneAPI Site to better serve You. Verizon may share this information with its affiliates, agents, contractors and partners to offer You a full range of additional products and services, and may otherwise use such information in accordance with the Verizon Privacy Policy.

## Limited License

Subject to Your compliance with (i) this Site Use Agreement, (ii) other documentation provided as part of the OneAPI Site, and (iii) any access restrictions Verizon may establish from time to time, Verizon grants to You a limited, non-sublicensable, non-transferable, non-exclusive, and terminable license during the Term of this Site Use Agreement to access, view and use the OneAPI Site.

## Use Restrictions

You agree to use the OneAPI Site for lawful purposes only. You must not (i) resell, sublicense, lease, assign, redistribute, transfer or otherwise make the OneAPI Site available to any third party; (ii) modify, copy, harvest, collect, or create derivative works based on the OneAPI Site; (iii) copy, frame or mirror any part or content of the OneAPI Site, other than copying or framing for Your own internal business purposes for use as permitted under this Site Use Agreement; (iv) reverse engineer the OneAPI Site; (v) attempt to gain unauthorized access to, or disrupt the integrity or performance of, the OneAPI Site, the Verizon network, or any service provided by or on behalf of Verizon, or any device connected to the Verizon network; (vi) send or store infringing or unlawful material using the OneAPI Site; (vii) impersonate someone else; (viii) access or use the OneAPI Site for the purpose of building a competitive product or service or for benchmarking, monitoring availability, comparative analysis or similar purposes; or (ix) remove, alter or destroy any copyright, trademark or other proprietary rights notices displayed on the OneAPI Site. Verizon may impose limits on the number or rate of calls made using the available APIs. You will not attempt to exceed or bypass these limits, which Verizon may change at any time in its discretion. You will not make any representations, guarantees or commitments to individual users of Your application, device or solution which interfaces with the OneAPI Site (“Your Users”) or anyone else regarding the availability of or functionality supported by the OneAPI Site. Verizon reserves the right to make changes to the OneAPI Site without notice. These changes may require You to modify Your application, device or solution at Your own expense in order to continue using the OneAPI Site.

You must not propagate any virus, worms, malware, Trojan horses, or other programming routine that could damage the OneAPI Site. You may not use spiders, robots, data mining techniques or other automated devices or programs to mine, harvest, collect, store, catalog, download or otherwise reproduce, store or distribute content available on the OneAPI Site. You may not use any such automated means to manipulate the OneAPI Site or attempt to exceed the limited authorization and access granted to You under this Site Use Agreement. You are not permitted to use the OneAPI Site if You are a direct Verizon competitor or for any competitive purposes. By registering for and using or accessing the OneAPI Site, You agree that You are subject to and will comply with the Acceptable Use Policy. You agree to regularly monitor Your applications, devices or solutions for any issue that may compromise the security of the OneAPI Site (“Security Issue”). Verizon may, without obligation, monitor Your use of the OneAPI Site to verify Your compliance with this Site Use Agreement and to identify actual or potential Security Issues.

## SMS APIs

SMS APIs allow your applications to interface with OneAPI to transmit SMS messages from a Verizon-assigned longcode to end users of your applications. Your use of SMS APIs is subject to the related API documentation and associated rules and restrictions, which may include, without limitation, conditions related to usage limits and specific opt-in and messaging requirements.

You agree to use SMS APIs only in compliance with all applicable local, state, national and international laws and regulations, including, without limitation, the Telephone Consumers Protection Act of 1991 (TCPA), acceptable industry guidelines (including Mobile Marketing Association (MMA) Industry Best Practices and CTIA Best Practices and Successes, found here), Verizon’s Acceptable Use Policy, and this Site Use Agreement. You further agree that in connection with your use of SMS APIs: (a) You will not send messages containing executable files or links to other content or premium or similar messages that require a subscription or surcharge; (b) You will not install, deploy, or use any hardware, firmware, software or other technology or technique to circumvent Verizon's messaging network operations protections; and (c) You will not send any material or content in violation of the Acceptable Use provisions of the Verizon Terms of Use.

You may use SMS Services to send messages only to end users who have opted in to receive messages by (a) establishing an opt-in process that effectively captures each end user’s consent to receive messages, informs end users of the nature and scope of your messaging campaigns and any financial obligations (like “Standard Messaging Charges Apply”) associated with messaging; (b) immediately complying with end user opt-out requests such as STOP, END, CANCEL, UNSUBSCRIBE or QUIT in compliance with industry guidelines; and (c) maintaining opt-in and opt-out records for each end user from the time that end user initiates opt-in until a minimum of six months after that end user has opted out. The foregoing requirements are in addition to requirements set forth by Verizon in the API documentation related to SMS APIs.

## Wireless Network Services SDK

The Wireless Network Services SDK consists of Web Services Description Language (“WSDL”) files, sample code, and HTML documentation containing graphical representations of the XML schemas for Verizon APIs (collectively, together with any other files made available as part of the download and any updates, supplements or support services related to the SDK, the “WNS SDK”). As used herein, “Wireless Network Services” means Verizon Wireless’ proprietary wireless services.

The WNS SDK must be used in conjunction with carrier-certified devices or modules that support WNS development and testing. Such devices and modules may be obtained from the manufacturers thereof. Use of such devices and modules is governed by their corresponding terms and conditions, not by this Site Use Agreement.

You may download, access and use the WNS SDK only for the purpose of designing, developing, testing or modifying applications (each a “WNS SDK-Based Application”) designed to operate with the Wireless Network Services (“Permitted Use”).

### Installation and Use
You may use the WNS SDK on an internal basis only on your devices and reproduce a reasonable number of copies of the WNS SDK, including the documentation, provided that you reproduce only complete copies, including, without limitation, all “read me” files, copyright notices, and other legal notices and terms that Verizon has included in the WNS SDK, and any such copy(ies) shall be only for your use for the Permitted Use and not that of any third party. You agree not to, and not to allow any third party to, reverse engineer, disassemble, decompile or translate any software contained in the WNS SDK which is not provided by Verizon in source code format, or otherwise attempt to derive the source code thereof.

### Restrictions
You may not charge users of a WNS SDK-Based Application any fee to access or use the Wireless Network Services from within your WNS SDK-Based Application. You may not license, transfer, or assign any rights or grant any access to the WNS SDK to any third party, disclose the WNS SDK, or any part thereof, to any third party, or grant any access to the Wireless Network Services to any third party.

### Distributable Code
The WNS SDK contains code that you are permitted to include in WNS SDK-Based Applications subject to compliance with the terms below.

#### Right to Use and Distribute.
The sample code, demo program, WSDL files, and Verizon APIs are “Distributable Code” and are subject to the following:

##### Sample Code

You may modify, copy, and internally distribute the source code form of code marked as “reference implementation” in the WNS SDK.

##### Redistribution

You may permit distributors of WNS SDK-Based Applications to copy and distribute the Distributable Code as part of the WNS SDK-Based Applications.

#### Distribution Requirements

For any Distributable Code distributed as permitted herein, you must require distributors and external end users to agree to terms that protect Verizon at least as much as this Site Use Agreement and to indemnify Verizon for all costs (including costs of counsel) and to defend and hold Verizon harmless from and against all losses, claims, liabilities, damages or fees, including attorneys’ fees arising out of, resulting from, or relating to any claims related to the distribution or use of WNS SDK-Based Applications.

#### Distribution Restrictions
You may not: (i) alter any copyright, trademark or patent notice in the Distributable Code; (ii) use Verizon’s trademarks in the name or description of any WNS SDK-Based Application or in a way that suggests such application is a product or service of, or is endorsed by, Verizon; (iii) include Distributable Code in malicious, deceptive or unlawful applications; or (iv) modify, distribute or convey any Distributable Code so that the Distributable Code or any application to which it links, or of which it is a part, becomes subject to an Excluded License. An “Excluded License” is one that requires, as a condition of license, use, modification, distribution or conveyance, that the code be disclosed or distributed in source code form, that others have the right to modify or create derivative works of it, and/or that it becomes redistributable at no charge.

#### Internet-Based Services
Wireless Network Services may rely on internet-based communications which may change or be cancelled at any time. You may not use the WNS SDK or the Wireless Network Services in any way that could harm the Verizon Wireless Network or impair anyone else’s use of it. You may not use the WNS SDK or the Wireless Network Services to attempt to gain unauthorized access to any service, data, account or network by any means.

## Terms Applicable to Use of the Verizon Cloud Tools and Verizon Cloud Developer Accounts

Your use of the Verizon Cloud APIs, SDKs and related code and documentation made available on the OneAPI Site (the “Verizon Cloud Tools”) is subject to the terms and conditions set forth in this section. Verizon may provide You with the option to create a Verizon Cloud account to use solely in connection with the Verizon Cloud Tools (“Developer Account”). Use of the Developer Account is also subject to the Developer Account Terms, which are incorporated into this Site Use Agreement.

You will use the Verizon Cloud Tools solely for the limited purposes described in this section, and only as expressly authorized in this Site Use Agreement. You will not access, attempt to access, or facilitate, enable or allow access by any third party, to the Verizon Cloud service, or to content stored in the Verizon Cloud service (the “Verizon Cloud Content”), in any manner other than through use of the Verizon Cloud Tools as expressly permitted under this Site Use Agreement. You acknowledge and agree that Verizon does not own or endorse, and is not obligated to monitor Verizon Cloud Content. Verizon expressly disclaims all liability for Verizon Cloud Content and for use of Verizon Cloud Content by You, Your Users or anyone else.

You may use the Verizon Cloud Tools solely to enable Your Users to access and use their own Verizon Cloud Content, subject to the successful completion of the following steps: (i) Verizon has authenticated Your User as a valid Verizon Cloud user, and (ii) Your User has consented to allow Your application, device or solution to use the Verizon Cloud Tools to access Your User’s Verizon Cloud Content. You agree that Your Users may revoke consent at any time and for any reason, and that You will not take any action or enable or permit any third party to take any action that is inconsistent with such revocation. You may not charge Your Users fees or require other consideration to use any feature or service made available through the Verizon Cloud Tools.

You will use, perform, display, transmit, modify, copy and distribute Your User’s Verizon Cloud Content only as expressly authorized by Your User. You agree to use Verizon Cloud Content in compliance with all applicable laws, rules and regulations, and only as disclosed in Your publicly available privacy policy and service terms of use. Verizon is not responsible for, does not endorse, and expressly disclaims any liability for Verizon Cloud Content, and any actions taken by You, Your Users or others in connection with Verizon Cloud Content.

Verizon has no obligation to provide You or Your Users with support, software upgrades, enhancements or modifications to the Verizon Cloud Tools ("Support"). You understand and agree that You are solely responsible for providing technical and other assistance to Your Users for your application, device or solution. If Verizon elects in its discretion to provide Support, Verizon may terminate Support at any time without notice to You or Your Users for any or no reason.

Verizon may make available on the OneAPI Site a downloadable image of a Verizon logo for use in connection with the Verizon Cloud Tools as expressly authorized in this section (the “Approved Logo”). Verizon grants You a limited, nonexclusive, nontransferable, nonsublicensable, revocable, royalty-free license during the Term to display the “Verizon Cloud” name or the Approved Logo in Your application solely to notify Your Users about or enable their access to services made available through use the Verizon Cloud Tools in Your application, device or solution. For example, Your Users may click on an the Approved Logo in Your application to initiate the authentication and consent steps described above. Your use of the “Verizon Cloud” name or the Approved Logo, including any related goodwill, will inure to the benefit of Verizon. This license is subject to Your continued compliance with this Site Use Agreement, and any related requirements included in the Verizon Cloud API Tools.

## Web Links

The OneAPI Site may contain links and references to third-party websites, which are provided for your convenience. Verizon is not responsible for the content or information contained on such third party websites and inclusion of such links does not imply endorsement by Verizon of those websites or the content contained thereon. You may not link to any page of the OneAPI Site unless Verizon authorizes You in writing. You may not utilize Verizon’s logos, marks, or other distinctive graphics, video, or audio material in Your links, without Verizon’s express written permission, which Verizon may withhold in its discretion. You may not link in any manner reasonably likely to imply affiliation with or endorsement or sponsorship by Verizon or cause confusion, mistake, or deception.

## OneAPI Site Forums

Verizon may make forums available in the “Community” section or other parts of the OneAPI Site where You may post information, tips, comments, content or other feedback. All such forums are public and provided solely as a convenience to You. You represent that You own or otherwise have the lawful right to post, distribute, reproduce or otherwise share the information contained in your posts. To the extent You post to a OneAPI Site forum, you warrant that your posts are accurate and do not violate any applicable laws. Notwithstanding, You understand and agree that posts are not approved or endorsed by Verizon, and that Verizon cannot guarantee the accuracy, authenticity, or reliability of any information posted to a OneAPI Site forum. When posting to any OneAPI Site forum you grant Verizon a royalty-free, perpetual, irrevocable, non-exclusive license to use your post. You also agree that Your post may be edited, removed, modified, published, transmitted and displayed by Verizon for any reason or no reason whatsoever.

You agree that your OneAPI Site forum posts will not contain information that infringes the intellectual property right of another or is unlawful, harmful to minors, threatening, harassing, abusive, defamatory, slanderous, fraudulent, gratuitously violent, obscene, deceptive, pornographic, libelous, invasive of another's privacy, or racially, ethnically or otherwise offensive, hateful or abusive. You are solely responsible for Your posts and any posts from your account.

## Subject to Change

Verizon reserves the right to modify this Site Use Agreement and the business policies and practices associated with the use of the OneAPI Site. Such modifications may include, without limitation, implementation of user priorities, implementation of rules for use, discontinuance of functional aspects of the OneAPI Site, and changes in prices. Verizon may add, withdraw or modify any content or service or features of the OneAPI Site at any time in its sole discretion. If You do not agree to the changes, You must stop using the OneAPI Site. Your continued use of the OneAPI Site constitutes your agreement to the changes. Verizon may discontinue, terminate, suspend or shut down the OneAPI Site or particular pages in its sole discretion and without notice. Your license shall automatically terminate if Verizon discontinues, terminates, suspends or shuts down the OneAPI Site.

## Limitation of Liability

IN NO EVENT SHALL VERIZON, ITS AFFILIATES, LICENSORS, OR THIRD PARTY VENDORS (“THE LIMITED LIABILITY PARTIES”) BE LIABLE FOR ANY LOSSES RESULTING FROM YOUR USE OF OR INABILITY TO USE THE THINGSPACE SITE, INCLUDING ANY VERIZON OR THIRD PARTY APIs AND ANY CONTENT YOU ACCESS THROUGH THE USE OF SUCH APIS, OR ANY SERVICES INCLUDING BUT NOT LIMITED TO DAMAGES CAUSED BY OR RELATED TO ERRORS, OMISSIONS, INTERRUPTIONS, DEFECTS, DELAY IN OPERATION OR TRANSMISSION, COMPUTER VIRUS, MALWARE, LINE FAILURE, UNAUTHORIZED ACCESS TO OR ALTERATION OF YOUR APPLICATION, DATA OR SOLUTION, LOSS OF YOUR APPLICATION, DATA OR SOLUTION OR CONDUCT OF ANY THIRD PARTY ON OR IN THE THINGSPACE SITE AND ALL OTHER DIRECT, INDIRECT, INCIDENTAL, SPECIAL, CONSEQUENTIAL, PUNITIVE DAMAGES OR LOST PROFITS. THESE LIMITATIONS ON LIABILITY APPLY WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, STRICT LIABILITY OR OTHER TORTIOUS ACTION ARISING OUT OF OR IN CONNECTION WITH YOUR DATA OR THE CONTENT AVAILABLE ON OR ACCESSIBLE THROUGH THE THINGSPACE SITE AND THE LIMITATIONS APPLY EVEN IF LIMITED LIABILITY PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN JURISDICTIONS THAT DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, THE ABOVE LIMITATION OR EXCLUSION MAY NOT APPLY TO YOU AND IS LIMITED TO THE EXTENT PERMITTED BY LAW.

YOU ASSUME FULL RESPONSIBILITY FOR IMPLEMENTING SUFFICIENT PROCEDURES AND CHECKS TO SATISFY YOUR REQUIREMENTS FOR ACCURACY AND SUITABILITY OF THE THINGSPACE SITE OR YOUR DATA, AND FOR MAINTAINING ANY MEANS WHICH YOU MAY REQUIRE FOR THE RECONSTRUCTION OF LOST DATA OR SUBSEQUENT MANIPULATIONS OR ANALYSES OF THE CONTENT PROVIDED UNDER THIS SITE USE AGREEMENT

THE AGGREGATE, TOTAL LIABILITY OF THE LIMITED LIABILITY PARTIES FOR DAMAGES, INJURY, LOSSES AND CAUSES OF ACTION, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM OR RELATING TO ACCESS OR USE OF YOUR DATA OR THE THINGSPACE SITE SHALL NOT EXCEED ONE HUNDRED DOLLARS ($100).

YOU AGREE AND ACKNOWLEDGE THAT THESE LIMITATIONS ON THE LIABILITY OF THE LIMITED LIABILITY PARTIES REFLECT A REASONABLE ALLOCATION OF RISK AND THAT SUCH ALLOCATION OF RISK IS A SIGNIFICANT INDUCEMENT FOR VERIZON TO ALLOW YOU TO ACCESS AND USE THE THINGSPACE SITE.

## Disclaimer of Warranties

THE THINGSPACE SITE IS PROVIDED ON AN “AS IS” AND “AS AVAILABLE” BASIS AND VERIZON MAKES NO WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT THERETO, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW.

WITHOUT LIMITING THE GENERALITY OF THE FOREGOING, THE LIMITED LIABIILTY PARTIES DO NOT WARRANT THAT YOUR DATA OR CONTENT PROVIDED ON OR AVAILABLE THROUGH THE THINGSPACE SITE WILL MEET YOUR NEEDS, BE UN-INTERRUPTED, ACCURATE, COMPLETE, USEFUL, FUNCTIONAL OR ERROR FREE, OR THAT THE THINGSPACE SITE, IN WHOLE OR IN PART, IS FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. THE THINGSPACE SITE MAY INCLUDE TECHNICAL INACCURACIES OR TYPOGRAPHICAL ERRORS. NO ADVICE OR INFORMATION GIVEN BY VERIZON, ITS AFFILIATES OR IT LICENSORS, OR SUPPLIERS WILL CREATE ANY WARRANTY.

ACCESS AND USE OF THE THINGSPACE SITE IS AT YOUR OWN RISK. YOU ARE SOLELY RESPONSIBLE FOR ANY DAMAGE TO YOUR COMPUTER SYSTEM OR LOSS OF DATA THAT RESULTS FROM YOUR USE OF THE THINGSPACE SITE.

## Indemnification

You agree to indemnify, defend and hold Verizon, its parents, subsidiaries and affiliates, and its and their respective directors, officers, members, partners, employees, agents, successors and assigns, its licensors and suppliers harmless from any and all third party claims, damages, losses, liabilities, actions, fines, penalties, judgments, costs and expenses (including reasonable attorneys' fees) arising out of or in connection with (i) any act or omission by You in connection with use of the OneAPI Site or related to Your Data, Your registration data, Your Content or Your Users; (ii) Your access to our use of the Things Space Site other than as expressly allowed by this Site Use Agreement; (iii) Your violation of this Site Use Agreement; (iv) the infringement by You of any intellectual property or other right of any person or entity; or (v) Your violation of laws and regulations. You will assume control of the defense and settlement of any claim subject to indemnification by You. Verizon may, however, at any time elect to take over control of the defense and settlement of any such claim. You will not settle any such claim without Verizon's prior written consent.

## Compliance

You will adhere to all laws, rules, and regulations applicable to Your use of the OneAPI Site, including this Site Use Agreement, Verizon’s Acceptable Use Policy and the other restrictions contained herein.

## Confidentiality

You may use Verizon Confidential Information only in connection with Your use of the OneAPI Site as permitted under this Site Use Agreement. You will not disclose Verizon Confidential Information during the term of this Site Use Agreement or at any time during the three (3) year period following the expiration or termination of this Site Use Agreement. You will take all reasonable measures to avoid disclosure, dissemination or unauthorized use of Verizon Confidential Information, including, at a minimum, those measures You take to protect Your own confidential information of a similar nature. “Verizon Confidential Information” means all nonpublic information disclosed by Verizon, its affiliates, business partners of Verizon or their respective employees, contractors or agents that is designated as confidential or that, given the nature of the information or circumstances surrounding its disclosure, reasonably should be understood to be confidential, including without limitation, Access Credentials. Verizon Confidential Information does not include any information that: (i) is or becomes publicly available without breach of this Site Use Agreement; (ii) can be shown by documentation to have been known to You at the time of Your receipt from us; (iii) is received from a third party who did not acquire or disclose the same by a wrongful or tortious act; or (iv) can be shown by documentation to have been independently developed by You without reference to the Verizon Confidential Information.

## Publicity

Nothing contained in Site Use Agreement will be construed as granting to You any right to use or refer to in any advertising, sales promotion, press releases or other publicity, any name, trade name, trade or service mark or any other designation of Verizon, or language from which the connection of said name or mark may be inferred or implied without Verizon’s prior written consent. All other names, marks and logos are the names, marks and logos of their respective owners. You agree that Verizon, in its sole discretion, may use Your trade names, trademarks, service marks, logos, domain names and other distinctive brand features in presentations, marketing materials, customer lists, financial reports and web site for the purpose of advertising or publicizing Your use of the OneAPI Site.

## Conflict with Other Agreements

You may also be a party to other agreements with Verizon. If there is a conflict or inconsistency between this Site Use Agreement and any other agreement you have with Verizon, this Site Use Agreement will govern with respect to Your access and use of the OneAPI Site, unless such other agreement specifically states otherwise.

## Term and Termination

The Site Use Agreement begins on the date You first access, browse and/or use the OneAPI Site and continues until terminated by either You or Verizon (the “Term”). You may terminate this Site Use Agreement at any time for any reason by notifying Verizon and ceasing use of the OneAPI Site. Verizon may terminate this Site Use Agreement or Your Account at any time for any reason upon notice to You. In addition, Verizon may terminate Your Account without prior written notice to You if: (a) Your Account reflects a prolonged period of inactivity or infrequent activity, as solely but reasonably determined by Verizon; (b) You fail to respond to a claim of alleged infringement within a reasonable time; (c) You violate the terms of this Site Use Agreement or any applicable Verizon policy or other agreement between you and Verizon.

## Effect of Termination

Upon the effective date of termination of this Site Use Agreement or any Account, Your license to use the OneAPI Site and to access Your Data contained thereon will cease. In such event, preservation of Your Data is your sole responsibility. Verizon is under no obligation to preserve or migrate Your Data. Termination of this Site Use Agreement will not relieve You of the obligations herein that You assumed by using the OneAPI Site.

## Governing Law and Jurisdiction

This Site Use Agreement shall be governed by and construed in accordance with the laws of the State of New York, excluding its conflict of law provisions. Any legal action, suit or proceeding arising out of or relating to this Site Use Agreement, must be instituted exclusively in the federal or state courts located in New York, New York.

## International Use

Verizon controls and operates the OneAPI Site from the United States, but reserves the right to support it with resources from outside the United States. The OneAPI Site is not intended for use outside of the United States and Your use of the OneAPI Site is not intended to subject Verizon to the laws or jurisdiction of any state, country or territory other than that of the United States. Verizon does not warrant that the OneAPI Site is appropriate or available for use in any particular jurisdiction other than the United States and accessing such from certain locations outside of the United States may be illegal and prohibited. You agree that You will not access or use the OneAPI Site where prohibited by applicable law, rule or regulation or in a manner that violates the foregoing. If You access or use the OneAPI Site from such locations, You are acting on Your own initiative, and Verizon is not responsible for Your compliance with local laws or other applicable legal or regulatory restrictions. You represent and warrant that You are not (a) located in any country that is subject to a U.S. Government embargo, or that has been designated by the U.S. Government as a “terrorist supporting” country, or (b) listed on any U.S. Government list of prohibited or restricted parties including the Treasury Department’s list of Specially Designated Nationals or the U.S. Department of Commerce Denied Persons List or Entity List. You also agree that You will not use the OneAPI Site for any purposes prohibited by United States law. Verizon may limit the OneAPI Site’s availability, in whole or in part, to any person, geographic area, or jurisdiction, at any time and in Verizon’s sole discretion.

## U.S. Export Controls and Economic Sanctions Laws and Regulations

Software and technology provided as part of the OneAPI Site are subject to U.S. export controls laws and regulations, including but not limited to the Export Administration Regulations (“EAR”), You agree that any export, re-export, or retransfer of software and technology Verizon provides under this Site Use Agreement will comply with all applicable U.S. export controls and economic sanctions laws and regulations, and such compliance will include obtaining any required export licenses or authorizations from the U.S. government. You further agree that you shall not export, re-export, or retransfer, directly or indirectly, either during the Term of this Site Use Agreement or after its expiration, software or technology provided by Verizon under this Site Use Agreement in any form to destinations in or nationals of Country Groups E, as specified in Supplement No. 1 to Part 740 of the EAR, to any U.S. Government prohibited or restricted party; or for end-users prohibited under the EAR.

## Miscellaneous

This Site Use Agreement constitutes the entire agreement between You and Verizon with respect to the subject matter hereof, and supersedes all prior oral or written understandings, communications or agreements and shall not be modified except by a signed amendment of both parties. The failure of either party to exercise or enforce any right or provision of this Site Use Agreement shall not constitute a waiver of such right or provision. Each parent and affiliate of Verizon shall be third party beneficiaries to this Site Use Agreement and shall be entitled to enforce and rely upon any provision of this Site Use Agreement that confers a benefit on (or rights in favor) of them. Each party must comply with all applicable laws. You may not transfer, assign or delegate the right and/or duties under this Site Use Agreement without Verizon’s prior written consent and any attempted assignment or delegation is void. Verizon shall have the right hereunder to seek an injunction, if necessary, to stop or prevent a breach of the obligations hereunder. If any provision of this Site Use Agreement is held to be invalid by a court of competent jurisdiction, the remaining provisions shall remain in full force and effect. The parties further agree to negotiate in good faith a substitute, valid and enforceable provision that most nearly effects the parties’ intention and to be bound by such provision. The relationship between the parties is one of independent contractors.

---
© Verizon
